eth_getBlockByHash

Network: Base · Mainnet · Chain ID 8453 (0x2105)

Counts as 1 request. See Request Counting.

Returns information about a block by block hash.

Parameters

  1. DATA (32 bytes) — Hash of a block.
  2. Boolean — If true, returns full transaction objects; if false, returns only transaction hashes.

Returns

Object|null — A block object (same structure as eth_getBlockByNumber), or null when no block was found.

Request

{ "jsonrpc": "2.0", "method": "eth_getBlockByHash", "params": ["0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae", false], "id": 1 }

Code Examples

curl -X POST https://base-rpc.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"eth_getBlockByHash","params":["0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae",false],"id":1}'

Try It